Bug 1118577 - [RFE][cinder]: First version of the openATTIC Cinder driver
Summary: [RFE][cinder]: First version of the openATTIC Cinder driver
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact:
URL: https://blueprints.launchpad.net/cind...
Whiteboard: upstream_milestone_none upstream_defi...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 04:09 UTC by RHOS Integration
Modified: 2015-11-20 19:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-19 17:05:03 UTC


Attachments (Terms of Use)

Description RHOS Integration 2014-07-11 04:09:54 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/cinder/+spec/openattic-driver-first-version.

Description:

openATTIC is a highly flexible open source system for software-defined
storage which abstracts the standard Linux tools, providing a unified
API that can be used regardless of the storage subsystem (LVM, ZFS,
Btrfs, Ceph) in use. Hence, openATTIC provides the ideal basis for
heterogeneous systems providing storage for all kinds of users from
single systems to full-fledged clouds.

This driver makes an openATTIC host available as a storage backend for
OpenStack Cinder. Theoretically, Cinder can make use of openATTIC
storage simply by installing cinder-volume on the openATTIC node. However,
this method does not make use of advanced openATTIC features, such as the
automated monitoring and performance analysis, which means that administrators
do not get the full benefits from their openATTIC systems.

Specification URL (additional information):

None


Note You need to log in before you can comment on or make changes to this bug.